## com.vividsolutions.jts.operation.union
Class UnaryUnionOp

    java.lang.Object
      com.vividsolutions.jts.operation.union.UnaryUnionOp

public class UnaryUnionOp
extends java.lang.Object

Unions a collection of Geometry or a single Geometry (which may be a collection) together. By using this special-purpose operation over a collection of geometries it is possible to take advantage of various optimizations to improve performance. Heterogeneous `GeometryCollection`s are fully supported.

The result obeys the following contract:

- Unioning a set of overlapping `Polygons`s has the effect of merging the areas (i.e. the same effect as iteratively unioning all individual polygons together).
- Unioning a set of `LineString`s has the effect of fully noding and dissolving the linework.
- Unioning a set of `Points`s has the effect of merging al identical points (producing a set with no duplicates).

Author:
  mbdavis

Constructor Summary
`UnaryUnionOp(java.util.Collection geoms)`
`UnaryUnionOp(Geometry geom)`

Method Summary
`Geometry` `union()` Gets the union of the input geometries.
`static Geometry` `union(java.util.Collection geoms)`
`static Geometry` `union(Geometry geom)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryUnionOp

    public UnaryUnionOp(java.util.Collection geoms)

### UnaryUnionOp

    public UnaryUnionOp(Geometry geom)

Method Detail

### union

    public static Geometry union(java.util.Collection geoms)

### union

    public static Geometry union(Geometry geom)

### union

    public Geometry union()

  Gets the union of the input geometries.

  Returns:
    a Geometry containing the union